[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ExtCreatePen

Creates a logical pen, selectable into any DC.

## Declaration

Source position: winapih.inc line 99

`public function TWidgetSet.ExtCreatePen(`
`dwPenStyle: DWord;`
`dwWidth: DWord;`
`const lplb: TLogBrush;`
`dwStyleCount: DWord;`
`lpStyle: PDWord`
`):HPEN; virtual;`

## Arguments

`dwPenStyle` |  | A collection of style options.
`dwWidth` |  | The pen width.
`lplb` |  | The brush description.
`dwStyleCount` |  | The number of sections for a dashed pen.
`lpStyle` |  | Array of the section lengths in a dashed pen.

## Function result

The pen handle, zero on failure.